Get recent activity for a user​
GET
/users/{id}/getRecentActivity
Gets recent activity for a user, which focuses around notifications that have been triggered.
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Path Parameters
id*
user id
Type
Requiredstring
Example
"5678"Format
"JSON"Query Parameters
dateRange*
Type
Requiredstring
Example
[1756249200000,1756388711959]Format
"JSON"GET
/users/{id}/getRecentActivity
Request example
Responses​
Request was successful
application/json
JSON{"created": "string","params": {"type": "string","subtype": "string","name": "string","zones": ["string"],"message": "string"},"deviceId": 0,"pointId": 0,"triggerId": 0}
[
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
 Â
]
Try this endpoint
Playground​
Authorization
Variables
Key
Value